%define priority	65-1
%define ppriority	65-0
%define fontname	vlgothic
%define	archivename	VLGothic-%{version}
%define	fontconf	%{priority}-%{fontname}-gothic
%define	pfontconf	%{ppriority}-%{fontname}-pgothic

%define _fontdir %{_datadir}/fonts
%define _fontconfig_confdir %{_sysconfdir}/fonts/conf.d
%define _fontconfig_templatedir %{_datadir}/fontconfig/conf.avail

Name:		%{fontname}-fonts
Version:	20101218
Release:	1
Summary:	Japanese TrueType font

License:	mplus and BSD
Group:		User Interface/X
URL:		http://dicey.org/vlgothic
Source0:	http://osdn.dl.sourceforge.jp/vlgothic/50227/%{archivename}.tar.bz2
Source1:	%{fontname}-fontconfig-pgothic.conf
Source2:	%{fontname}-fontconfig-gothic.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:	noarch

Requires:	fontconfig

Obsoletes:	VLGothic-fonts < 20090204-1
Provides:	VLGothic-fonts = %{version}-%{release}

%description
VLGothic provides Japanese TrueType fonts from the Vine Linux project.
Most of the glyphs are taken from the M+ and Sazanami Gothic fonts,
but some have also been improved by the project.

This package provides the monospace VLGothic font.


%package -n	%{fontname}-p-fonts
Summary:	Proportional Japanese TrueType font
Group:		User Interface/X
Obsoletes:	VLGothic-fonts-proportional < 20090204-1
Provides:	VLGothic-fonts-proportional = %{version}-%{release}
Requires:	fontconfig

%description -n	%{fontname}-p-fonts
VLGothic provides Japanese TrueType fonts from the Vine Linux project.
Most of the glyphs are taken from the M+ and Sazanami Gothic fonts,
but some have also been improved by the project.

This package provides the VLGothic font with proportional glyphs for some
non-Japanese characters.


%prep
%setup -q -n VLGothic


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}

cp *.ttf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/
chmod 0644 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/*

mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_confdir}
mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}

cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{pfontconf}.conf
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/*.conf

for f in %{pfontconf}.conf %{fontconf}.conf ; do
    ln -s %{_fontconfig_templatedir}/${f} ${RPM_BUILD_ROOT}%{_fontconfig_confdir}/${f}
done


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README* LICENSE*
%{_fontconfig_confdir}/%{fontconf}.conf
%{_fontconfig_templatedir}/%{fontconf}.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/VL-Gothic-Regular.ttf


%files -n %{fontname}-p-fonts
%defattr(-,root,system,-)
%doc README* LICENSE*
%{_fontconfig_confdir}/%{pfontconf}.conf
%{_fontconfig_templatedir}/%{pfontconf}.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/VL-PGothic-Regular.ttf


%changelog
* Wed Mar 09 2011 Michael Perzl <michael@perzl.org> - 20101218-1
- first version for AIX V5.1 and higher
